---
search:
  tags:
    - pipelines
    - GET
seo:
  description: >-
    Returns an environment's pipelines, a page… Reference for the GET
    /project/{project_id}/environment/{environment_id}/pipelines endpoint in the
    Platform API.
sidebar:
  label: List pipelines
  badge: GET
title: List pipelines
type: openapi-operation
---
Returns an environment's pipelines, a page at a time.

`GET /project/{project_id}/environment/{environment_id}/pipelines`

**Responses**

- `200` — Pipelines retrieved successfully
- `default` — Error

Response example, 200:

```json
{
  "records": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
      "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",
      "environment_id": "40ef0e48-a11f-4963-a229-e396c9f7e7c4",
      "name": "string",
      "description": "string",
      "is_active": true,
      "last_run_id": "08df5d92-87b1-40a2-b1e7-a5977dea4efc",
      "last_run_status": "QUEUED",
      "stages": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "pipeline_id": "ec036e81-7903-4e4d-bbfa-ac8516341cf0",
          "name": "string",
          "description": "string",
          "execution_order": 0,
          "on_failure": "STOP_PIPELINE",
          "components": [
            {
              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
              "stage_id": "f38d2b9c-0a0a-4eea-91a8-e974413bb670",
              "component_id": "41afafe5-2a48-424a-baef-34c2ad44ef7b",
              "component_kind": "Kjob",
              "is_required": true,
              "timeout_seconds": 0,
              "created_at": "2019-08-24T14:15:22Z"
            }
          ],
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z"
        }
      ],
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "deleted_at": "2019-08-24T14:15:22Z"
    }
  ],
  "pagination": {
    "total_records": 100,
    "current_page": 1,
    "total_pages": 10,
    "next_page": 2,
    "prev_page": null
  }
}
```
